com.dlsc.flexgantt.swing.layer

## Class AbstractCustomLayer

- java.lang.Object
- - com.dlsc.flexgantt.swing.layer.AbstractLayer
  - - com.dlsc.flexgantt.swing.layer.AbstractCustomLayer

-     public abstract class AbstractCustomLayer
      extends AbstractLayer

  An abstract superclass for all custom layers.
  Since:
    1.0
  Version:
    $Revision: 1.3 $
  Author:
    Dirk Lemmermann

- - ### Field Summary

    - ### Fields inherited from class com.dlsc.flexgantt.swing.layer.AbstractLayer

      `alpha, changeSupport, ganttChart, layerContainer, PROPERTY_ALPHA, PROPERTY_VISIBLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCustomLayer(LayerContainer lc, ILayer layer)` Constructs a new custom layer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ILayer` | `getLayer()` Returns the model layer for which the layer was created.

    - ### Methods inherited from class com.dlsc.flexgantt.swing.layer.AbstractLayer

      `addPropertyChangeListener, getAlpha, getDateline, getEventline, getGanttChart, getHeight, getLayerContainer, getLayerPolicyProvider, getModel, getName, getStartRow, getTimeAt, getTimeline, getTimeLocation, getTimeSpanUsed, getToolTipText, getTreeTable, getTreeTablePolicyProvider, getWidth, isVisible, paintLayer, removePropertyChangeListener, repaint, repaint, repaint, setAlpha, setVisible, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractCustomLayer

          public AbstractCustomLayer(LayerContainer lc,
                                     ILayer layer)

      Constructs a new custom layer.
      Parameters:
        `layer` - the model layer
        `lc` - the parent container
      Since:
        1.0

  - ### Method Detail

    - #### getLayer

          public ILayer getLayer()

      Returns the model layer for which the layer was created.
      Returns:
        the model layer
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.